if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}


(function() {
    //插件名称
    var PLUGIN_NAME = "BasePlugin";
    //定义JS插件
    var BasePlugin = {
         /**
          * 重置交易密码
          * @param: type  标题是否"设置交易密码"
          */
        resetPayPwd : function (type, successCallback) {
            var success = typeof successCallback !== 'function' ? null : function(data) {
                                        successCallback(data);
                                 };
            var callbackId = window.plus.bridge.callbackId(success);
            var args = [type,callbackId];
            return window.plus.bridge.exec(PLUGIN_NAME, "resetPayPwd", args);
        },

        /**
        * 修改交易密码
        */
        modifyPayPwd : function (){
            return window.plus.bridge.exec(PLUGIN_NAME, "modifyPayPwd", null);
        },

        /**
        * 查询是否有交易密码
        */
        checkTradePassword : function (successCallback, errorCallback){
            var success = typeof successCallback !== 'function' ? null : function(data) {
                successCallback(data);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var args = [callbackId];
            return window.plus.bridge.exec(PLUGIN_NAME, "checkTradePassword", args);
        },

        /**
        * 融360结果页调用以通知APP手机验证完成
        */
        rong360Finish : function (result){
            var args = [result];
            return window.plus.bridge.exec(PLUGIN_NAME, "rong360Finish", args);
        },

         /**
         * 完善个人基础信息
         */

        UserBaseInf : function (successCallback, errorCallback){
             var success = typeof successCallback !== 'function' ? null : function(data) {
                            successCallback(data);
                        };
             var fail = typeof errorCallback !== 'function' ? null : function(args) {
                            errorCallback(args);
                        };
             var callbackId = window.plus.bridge.callbackId(success, fail);
             var args = [callbackId];
            return window.plus.bridge.exec(PLUGIN_NAME, "UserBaseInf", args);
        },
        /**
                  * 关闭h5容器
                  */
          closeH5 : function (){
                  return window.plus.bridge.exec(PLUGIN_NAME, "closeH5", null);
            },

         /**
          * 是否开启消息通知
          */
          isNotificationEnabled : function (successCallback, errorCallback) {
                var success = typeof successCallback !== 'function' ? null : function(data) {
                     successCallback(data);
                };
                 var fail = typeof errorCallback !== 'function' ? null : function(args) {
                     errorCallback(args);
                 };
                 var callbackId = window.plus.bridge.callbackId(success, fail);
                 var args = [callbackId];
                 return window.plus.bridge.exec(PLUGIN_NAME, "isNotificationEnabled", args);
          },

    };


    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, BasePlugin);

})();