if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}
(function() {

    //插件名称
    var PLUGIN_NAME = "DeviceFingerPlugin";
    //定义JS插件
    var DeviceFingerPlugin = {
        /**
         * 异步更新风险的事件。
         * event : {
         *      eventType:"001", // 事件类型
         *      loginId:13012345678 // 用户登录id（可选）
         *      success: function(result)
         *      fail:function(error)
         * }
         */
        sendEvent : function (event) {
            if (!event)  {
                event = {};
            }
            var success = typeof event.success !== 'function' ? null : function(result) {
                event.success(result);
            };
            var fail = typeof event.fail !== 'function' ? null : function(error) {
                event.fail(error);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var transform = {
                eventType:event.eventType,
                loginId:event.loginId
            }
            var args = [callbackId, transform];
            return window.plus.bridge.exec(PLUGIN_NAME, "sendEvent", args);
        }
    };

    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, DeviceFingerPlugin);

})();