if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {
    //插件名称
    var PLUGIN_NAME = "H5TitleBarPlugin";
    //定义JS插件
    var H5TitleBarPlugin = {

        goBackAction : function (successCallback,  goBackPram,  errorCallback) {
                    var success = typeof successCallback !== 'function' ? null : function(data) {
                        successCallback(data);
                    };
                    var fail = typeof errorCallback !== 'function' ? null : function(args) {
                        errorCallback(args);
                    };
                    var callbackId = window.plus.bridge.callbackId(success, fail);
                    var args = [callbackId, goBackPram];
                    return window.plus.bridge.exec(PLUGIN_NAME, "goBackAction", args);

    },

    setNativeBarTitle : function (title) {
                         var args = [title];
                         return window.plus.bridge.exec(PLUGIN_NAME, "setNativeBarTitle", args);
    },

    setRightTextTitle : function (successCallback,  titleStr) {
                        var success = typeof successCallback !== 'function' ? null : function(data) {
                            successCallback(data);
                        };
                        var callbackId = window.plus.bridge.callbackId(success);
                        var args = [callbackId, titleStr];
                        return window.plus.bridge.exec(PLUGIN_NAME, "setRightTextTitle", args);
        },

    addShareButton : function (isAdd) {
                      var args = [isAdd];
                      return window.plus.bridge.exec(PLUGIN_NAME, "addShareButton", args);
    },

    gotoCustomerService : function () {
                      return window.plus.bridge.exec(PLUGIN_NAME, "gotoCustomerService");
    }

 }

    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, H5TitleBarPlugin);

})();
