if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}
(function() {

    //插件名称
    var PLUGIN_NAME = "MuSafeKeyboardPlugin";
    var inputCallbacks = {};
    //定义JS插件
    var MuSafeKeyboardPlugin = {
        showKeyboard : function (id, keyboardType, maxLength, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(data) {
                successCallback(data);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId;
//            if (inputCallbacks[id] != null
//                && window.callbacks[inputCallbacks[id]] != null) {
//                callbackId = inputCallbacks[id];
//                console.log("used last id!");
//            }  else {
//                callbackId = window.plus.bridge.callbackId(success, fail);
//                inputCallbacks[id] = callbackId;
//                console.log("used new id!");
//            }
            callbackId = window.plus.bridge.callbackId(success, fail);
            inputCallbacks[id] = callbackId;

            var sfInput = document.getElementById(id);
            var bottom = sfInput.scrollTop + sfInput.offsetHeight;
            var left = sfInput.offsetLeft;
            var top = sfInput.offsetTop;
            var object = sfInput;
            var scrollTop = sfInput.scrollTop;
            var scrollLeft = sfInput.scrollLeft;
            while (object.offsetParent) {
                left = left + object.offsetParent.offsetLeft;
                top = top + object.offsetParent.offsetTop;
                scrollTop = scrollTop + object.offsetParent.scrollTop;
                scrollLeft = scrollLeft + object.offsetParent.scrollLeft;
//                alert("scroll_top:" + scrollTop + "scrollLeft:" + scrollLeft);
                if (object == document.getElementsByTagName("body")[0]) {
                    break;
                } else {
                    object = object.offsetParent;
                }
            }

            //var bottom_y = top + sfInput.offsetHeight;

            var args = [callbackId, id, left - scrollLeft, top - scrollTop, sfInput.offsetWidth, sfInput.offsetHeight, maxLength, keyboardType];
//            alert("top:" + top);
//            alert("sfInput.offsetTop:" + sfInput.offsetTop + ";sfInput.offsetHeight" + sfInput.offsetHeight);
//            alert("scroll_top:" + scrollTop + "scrollLeft:" + scrollLeft);
//            alert("window.scroll_top:" +  window.screenTop );
            return window.plus.bridge.exec(PLUGIN_NAME, "showKeyboard", args);
        },

        closeKeyboard : function() {
            var args = [""];
            return window.plus.bridge.exec(PLUGIN_NAME, "closeKeyboard", args);
        },

        clearInput : function (id, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(data) {
                successCallback(data);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var args = [callbackId, id];
            return window.plus.bridge.exec(PLUGIN_NAME, "clearInput", args);
        },

        getClearText : function(id, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(data) {
                successCallback(data);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var args = [callbackId, id];
            return window.plus.bridge.exec(PLUGIN_NAME, "getClearText", args);
        },

        /**
        * 此接口是长耗时接口，调用时可显示等待框
        */
        getEncryptText : function(id, randomFactor,successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(data) {
                successCallback(data);
            };
            var fail = typeof errorCallback !== 'function' ? null : function(args) {
                errorCallback(args);
            };
            var callbackId = window.plus.bridge.callbackId(success, fail);
            var args = [callbackId, id, randomFactor];
            return window.plus.bridge.exec(PLUGIN_NAME, "getEncryptText", args);
        },
    };

    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, MuSafeKeyboardPlugin);

})();