if (!window.PluginUtil) {
    var PluginUtil = {
        register: function (namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function (methodName) {
                    return function () {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready", function () {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}


(function () {
    //插件名称
    var PLUGIN_NAME = "NotificationPlugin";

    //定义JS插件
    var NotificationPlugin = {
        notifyCouponNumberWillChange: function () {
            return window.plus.bridge.exec(PLUGIN_NAME, "notifyCouponNumberWillChange", null);

        },

        notifyLastestBillWillChange: function (successCallback, errorCallback) {
            return window.plus.bridge.exec(PLUGIN_NAME, "notifyLastestBillWillChange", null);
        },

        createOneNetAccountResultAction: function (result) {

            var args = [result];
            return window.plus.bridge.exec(PLUGIN_NAME, "createOneNetAccountResultAction", args);

        },

        postEvent: function (eventName, params) {
            var args = [eventName, params];
            return window.plus.bridge.exec(PLUGIN_NAME, "postEvent", args);
        }
    };
    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, NotificationPlugin);

})();
