if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {
    //插件名称
    var PLUGIN_NAME = "PagerJumpPlugin";
    //定义JS插件
    var PagerJumpPlugin = {

        /**
         * 页面跳转
         * @param uri 根据跳转协议生成的uri字串
         */
        jump : function (uri) {
            var args = [uri];
            return window.plus.bridge.execSync(PLUGIN_NAME, "jump", args);
        },

        jumpToForResult : function (uri, callback) {
            var success = typeof callback !== 'function' ? null : function(data) {
                callback(data);
            };
            var callbackId = window.plus.bridge.callbackId(success);
            var args = [uri, callbackId];
            return window.plus.bridge.execSync(PLUGIN_NAME, "jumpToForResult", args);
        },

        setResult : function (value) {
            var args = [value];
            return window.plus.bridge.execSync(PLUGIN_NAME, "setResult", args);
        }


    };
    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, PagerJumpPlugin);

})();