if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}
(function() {

    //插件名称
    var PLUGIN_NAME = "RemotePreferencePlugin";
    //定义JS插件
    var RemotePreferencePlugin = {


        /**
         * 获取联系人总条数,同步方法
         *
         */
        getConfig : function (key) {
            var args = [key];
            var ret = window.plus.bridge.execSync(PLUGIN_NAME, "getConfig", args);
            return ret;
        },

    };
    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, RemotePreferencePlugin);

})();