if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {
    //插件名称
    var PLUGIN_NAME = "ShareDataPlugin";
    //定义JS插件
    var ShareDataPlugin = {

        get : function (key,callback) {
            var success = typeof callback !== 'function' ? null : function(data) {
                callback(data);
            };
            var callbackId = window.plus.bridge.callbackId(success);
            var args = [key, callbackId];
            return window.plus.bridge.exec(PLUGIN_NAME, "get", args);

        },
        set : function (key, value) {
            var args = [key, value];
            return window.plus.bridge.exec(PLUGIN_NAME, "set", args);
        }
    };

    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, ShareDataPlugin);

})();