if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;

                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, arguments);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, arguments);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {
    //插件名称
    var PLUGIN_NAME = "SharePluginNew";

    var shareData;
    //定义JS插件
    var SharePluginNew = {

        share : function () {
             var successCallback = shareData.success;
             var errorCallback = shareData.cancel;
             var success = typeof successCallback !== 'function' ? null : function(data) {
                 successCallback(data);
             };
             var fail = typeof errorCallback !== 'function' ? null : function(args) {
                 errorCallback(args);
             };
             var paramMap = shareData.data || {
                title: document.title,
                link: window.location.href
             };
             var destinationList = shareData.destinationlist;
             var callbackId = window.plus.bridge.callbackId(success, fail);
             var args = [callbackId, paramMap,destinationList];
             return window.plus.bridge.exec(PLUGIN_NAME, "share", args);
        },

         onShare: function(params) {
            shareData = params;
         },

         passiveShare: function() {
            SharePlugin.share();
         }
    };
    //输出插件
    window.PluginUtil.register("muna", PLUGIN_NAME, SharePluginNew);

})();