if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        var args = arguments;
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, args);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, args);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {
    //插件名称
    var PLUGIN_NAME = "WebViewLongPressPlugin";
    //定义JS插件
    var WebViewLongPressPlugin = {

        enableLongPressGesture : function () {
             return window.plus.bridge.exec(PLUGIN_NAME, "enableLongPressGesture", null);
    	},

    	disableLongPressGesture : function () {
			 return window.plus.bridge.exec(PLUGIN_NAME, "disableLongPressGesture", null);
        }

 }

    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, WebViewLongPressPlugin);

})();